Update Asset

This endpoint allows users to update video asset that has previously been created.

Body
application/json
  • asset_id
    Type: string
    required

    Asset Id

  • call_to_actions
    Type: array object[]

    CTA, is an explicit prompt within the video content encouraging viewers to take a particular action.

  • description
    Type: string

    Attach some textual data with the asset. This field is neither searchable nor filterable.

  • input
    Type: string

    For replacing videos, pass this along with asset_id

    {workspace_id}/{asset_id}/origin-{asset_id}

  • metadata
    Type: string Format: json

    Set of key-value pairs that you can attach to this Asset. This can be useful for storing additional information.
    Example:
    { "internal_video_id" : "123Abc" }

  • remove_subtitles
    Type: array string[]

    Comma separated string of language codes.

  • tag
    Type: string

    Specify a text string or identifier which can identify an asset or bunch of assets later. You can pass multiple comma separated values.

  • title
    Type: string

    Specify a text string or identifier which can be used for filtering or searching the asset.

Responses
  • application/json
  • application/json
Request Example for post/video/assets/update
curl https://api.gumlet.com/v1/video/assets/update \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "asset_id": "<YOUR_ASSET_ID>",
  "title": "Updated Title"
}'
{}